<?php
/**
 * @file
 * breadcrumb2.rules_defaults.inc
 */

/**
 * Implementation of hook_default_rules_configuration().
 */
function breadcrumb2_default_rules_configuration() {
  $items = array();
  $items['rules_breadcrumb_for_node_update'] = entity_import('rules_config', '{ "rules_breadcrumb_for_node_update" : {
    "LABEL" : "breadcrumb for node update",
    "PLUGIN" : "reaction rule",
    "REQUIRES" : [ "rules", "breadcrumb2" ],
    "ON" : [ "node_update" ],
    "IF" : [ { "breadcrumb2_breadcrumb_exist" : { "path" : "node\/[node:nid]" } } ],
    "DO" : [
      { "breadcrumb2_delete_breadcrumb_by_path" : { "path" : "node\/[node:nid]" } }
    ]
  }
}');

  $items['rules_breadcrumb_for_node_view'] = entity_import('rules_config', '{ "rules_breadcrumb_for_node_view" : {
    "LABEL" : "breadcrumb for node view",
    "PLUGIN" : "reaction rule",
    "REQUIRES" : [ "rules", "breadcrumb2" ],
    "ON" : [ "node_view" ],
    "IF" : [
      { "NOT breadcrumb2_breadcrumb_exist" : { "path" : "node\/[node:nid]" } }
    ],
    "DO" : [
      { "entity_create" : {
          "USING" : { "type" : "breadcrumb2" },
          "PROVIDE" : { "entity_created" : { "breadcrumb" : "Breadcrumb" } }
        }
      },
      { "data_set" : { "data" : [ "breadcrumb:path" ], "value" : "node\/[node:nid]" } },
      { "breadcrumb2_append_breadcrumb_trail" : {
          "breadcrumb" : [ "breadcrumb" ],
          "title" : "[node:type-name]s",
          "url" : "[node:type]s"
        }
      },
      { "breadcrumb2_fetch_lightest_term_from_node" : {
          "USING" : { "node" : [ "node" ] },
          "PROVIDE" : { "lightest_term" : { "lightest_term" : "First term" } }
        }
      },
      { "breadcrumb2_taxonomy_get_parents_all" : {
          "USING" : { "taxonomy_term" : [ "lightest-term" ] },
          "PROVIDE" : { "parent_terms" : { "parent_terms" : "Parent terms" } }
        }
      },
      { "LOOP" : {
          "USING" : { "list" : [ "parent-terms" ] },
          "ITEM" : { "parent_term" : "Parent terms" },
          "DO" : [
            { "breadcrumb2_append_breadcrumb_trail" : {
                "breadcrumb" : [ "breadcrumb" ],
                "title" : "[parent-term:name]",
                "url" : "[node:type]s\/category\/[parent-term:tid]"
              }
            }
          ]
        }
      }
    ]
  }
}');
  return $items;
}
